"{ Package: 'jv:libgdbs' }"

GDBEvent subclass:#GDBStreamOutputEvent
	instanceVariableNames:'value'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Events'
!

!GDBStreamOutputEvent class methodsFor:'testing'!

isAbstract
    ^ self == GDBStreamOutputEvent

    "Modified: / 02-06-2014 / 22:21:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBStreamOutputEvent methodsFor:'accessing'!

value
    ^ value
!

value:aString
    value := aString.
! !

!GDBStreamOutputEvent methodsFor:'printing & storing'!

printOn:aStream
    "append a printed representation if the receiver to the argument, aStream"

    super printOn:aStream.
    aStream nextPut:$(.
    value printOn:aStream.
    aStream nextPut:$).

    "Modified: / 03-06-2014 / 00:18:39 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

